# NOTE: "portable wallet" wants BDB 4.8
#
# Conditional build:
%bcond_with	ccache	# use ccache for building
%bcond_without	gui	# Qt5 GUI

Summary:	Feathercoin - a peer-to-peer currency
Summary(pl.UTF-8):	Feathercoin - waluta peer-to-peer
Name:		feathercoin
Version:	0.9.6
Release:	4
License:	MIT
Group:		Applications/Networking
#Source0Download: https://github.com/FeatherCoin/Feathercoin/releases
Source0:	https://github.com/FeatherCoin/Feathercoin/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	9ac8509ab7bc7fb39b8e9d474a1079e3
Patch0:		%{name}-c++.patch
Patch1:		%{name}-zxing.patch
Patch2:		x32.patch
URL:		https://www.feathercoin.com/
%if %{with gui}
BuildRequires:	Qt5Core-devel >= 5
BuildRequires:	Qt5DBus-devel >= 5
BuildRequires:	Qt5Gui-devel >= 5
BuildRequires:	Qt5Network-devel >= 5
BuildRequires:	Qt5PrintSupport-devel >= 5
BuildRequires:	Qt5Test-devel >= 5
BuildRequires:	Qt5Widgets-devel >= 5
%endif
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
BuildRequires:	boost-devel
%{?with_ccache:BuildRequires:	ccache}
BuildRequires:	db-cxx-devel >= 4.8
BuildRequires:	gettext-tools
%{?with_gui:BuildRequires:	libpng-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	miniupnpc-devel >= 1.5
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf-devel
BuildRequires:	qrencode-devel
%{?with_gui:BuildRequires:	qt5-build >= 5}
BuildRequires:	zxing-cpp-devel
%{?with_gui:BuildRequires:	zlib-devel}
Requires:	perl-base
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Feathercoin is a peer-to-peer currency. Peer-to-peer means that no
central authority issues new money or tracks transactions. These tasks
are managed collectively by the network.

%description -l pl.UTF-8
Feathercoin to waluta peer-to-peer. Peer-to-peer oznacza, że nie ma
centralnego urzędu, który emituje nowe pieniądze czy śledzi
transakcje. Zadania te są obsługiwane zespołowo przez sieć.

%package qt
Summary:	Qt-based Feathercoin Wallet
Summary(pl.UTF-8):	Oparty na Qt portfel Feathercoin
Group:		X11/Applications

%description qt
Qt-based Feathercoin Wallet.

%description qt -l pl.UTF-8
Oparty na Qt portfel Feathercoin.

%prep
%setup -q -n Feathercoin-%{version}
%patch0 -p1
%patch1 -p1
%ifarch x32
%patch2 -p1
%endif

%build
install -d src/build-aux
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
# --with-gui defaults to qt4, but it doesn't build (QJsonObject is required)
%configure \
	--enable-ccache%{!?with_ccache:=no} \
	--disable-silent-rules \
	--with-incompatible-bdb \
	--with-gui=%{?with_gui:qt5}%{!?with_gui:no}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_mandir}/man{1,5},%{_desktopdir},%{_datadir}/kde4/services}
sed -e 's#bitcoin#feathercoin#g;s#Bitcoin#Feathercoin#g' contrib/debian/bitcoin-qt.desktop > $RPM_BUILD_ROOT%{_desktopdir}/feathercoin-qt.desktop
sed -e 's#bitcoin#feathercoin#g' contrib/debian/bitcoin-qt.protocol > $RPM_BUILD_ROOT%{_datadir}/kde4/services/feathercoin-qt.protocol
cp -p contrib/debian/manpages/*.1 $RPM_BUILD_ROOT%{_mandir}/man1
cp -p contrib/debian/manpages/*.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING README.md doc/*.txt contrib/debian/examples/bitcoin.conf
%attr(755,root,root) %{_bindir}/feathercoin-cli
%attr(755,root,root) %{_bindir}/feathercoind
%attr(755,root,root) %{_bindir}/test_bitcoin
%{_mandir}/man1/feathercoin-cli.1*
%{_mandir}/man1/feathercoind.1*
%{_mandir}/man5/feathercoin.conf.5*

%files qt
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/feathercoin-qt
%attr(755,root,root) %{_bindir}/test_bitcoin-qt
%{_datadir}/kde4/services/feathercoin-qt.protocol
%{_desktopdir}/feathercoin-qt.desktop
%{_mandir}/man1/feathercoin-qt.1*
%changelog
* Tue Dec 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/feathercoin.git;a=log;h=master

* Tue Dec 12 2017 Jan Rękorajski <baggins@pld-linux.org> d0405d6
- release 4 (by relup.sh)

* Tue Nov 28 2017 Jan Rękorajski <baggins@pld-linux.org> b3e258e
- release 3 (by relup.sh)

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 2808dc3
- release 2 (by relup.sh)

* Mon Apr 17 2017 Jan Rękorajski <baggins@pld-linux.org> 688b842
- fix boost detection on x32

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> d71863a
- updated to 0.9.6
- added c++ patch (fix constructor ambiguity issue)
- added zxing patch (fix private fields usage)

* Sun Apr 16 2017 Jakub Bogusz <qboosh@pld-linux.org> 24d61d0
- pl, updated URL

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> a21a12c
- boost rebuild
- release 9 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 7d259b1
- release 8 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> f3c3ab8
- release 7 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> f3023c2
- rebuild with boost 1.57.0
- release 6 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 246b0bf
- rebuild with boost 1.56.0
- release 5 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 3d43fff
- - rebuild with boost 1.55.0
- release 4 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> c7b4aff
- - rebuild with boost 1.55.0
- release 3 (by relup.sh)

* Wed Jul 10 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ac11d2
- release 2 (by relup.sh)

* Sat May 04 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 0f77417
- initial

